#!/usr/bin/perl -w

use strict;
use Fcntl ':flock';
use sdep;
require 'env.pl';

&trigger_main;

sub trigger_main
{
    if ( -f $env::stop_daemon ) { return 1; }
    open (FD, "+> $env::recrypt_lock2") or return "";
    if (flock (FD, LOCK_EX| LOCK_NB)) {
        spawn_script($env::bin.$env::Path_Delim."daemon.pl");
    }
    close (FD);

    return 1;
}

BEGIN {
    if (eval "require Win32") {
            Win32->import();
    }
    if (eval "require Win32::Process") {
        Win32::Process->import();
    }
}

############################################################################
sub spawn_script        #19.02.03 18:50
############################################################################
{
#    open (FD, "> $env::bin\\file.log");
#    print FD "start\n";

    my $script = $_[0];

    #open (FD, "> $env::Private_base/trigger.log");
    #print FD "start $script\n";

    if ( $^O =~ /MSWin/ ) {
        my $ProcessObj;
        my $res = Win32::Process::Create($ProcessObj,
                           $^X,
                           "$^X $script",
                            0,
                            Win32::Process::NORMAL_PRIORITY_CLASS,
                            ".");

      #print FD " Create process res $res \;\n";
    } else {
        if ( !fork() ) {
            #print STDERR "spawn proccess : $^X $script \n";
            exec("$script");
        }
    }
    #close (FD);
}   ##spawn_script


