#!/usr/bin/perl -w
use strict;

use CGI;
use POSIX;

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end
require "auth_chk.pm";
require "trigger.pm";

require "my_subs.pm";
require "main_menu.pm";

my  $auth_cookie=check_auth();
if($auth_cookie)
{

my $query = new CGI;
my $fileName = $query->param("fileName");

my $parser = new XML::DOM::Parser;
my $template = $parser->parsefile ($env::template_xml);
#my $path = $dir.$fileName.$extension;
 #!!!
my $path = $env::Package_base.$env::Path_Delim.$fileName.$env::extension;

my $node;
my $parent;
my $empty;

my $new = new FileHandle ($path, "w");

if (defined $new) {

   $parent = $template->getElementsByTagName ("package")->item(0);
   $node = $template->getElementsByTagName ("protection")->item(0);
   $empty = $node->getNextSibling;
   $parent->removeChild ($node);
   $parent->removeChild ($empty);

   $node = $template->getElementsByTagName ("stat")->item(0);
   $empty = $node->getNextSibling;
   $parent->removeChild ($node);
   $parent->removeChild ($empty);

   $parent = $template->getElementsByTagName ("content")->item(0);
   $node = $template->getElementsByTagName ("base")->item(0);
   $empty = $node->getNextSibling;
   $parent->removeChild ($node);
   $parent->removeChild ($empty);

   $node = $template->getElementsByTagName ("file")->item(0);
   $empty = $node->getNextSibling;
   $parent->removeChild ($node);
   $parent->removeChild ($empty);
   $template->print ($new);
#   $template->dispose;
   $new->close;

print <<HTML;

<HTML>
<HEAD>
<title>Edit package</title>
<LINK REL="stylesheet" TYPE="text/css" HREF="$env::Css_file_path">
</HEAD>
<BODY>

HTML

   main_menu ("edit", "./");

   my_subs::edit_dom ($fileName);

   main_menu ("edit", "./");

}
else {
   main_menu ("edit", "./");

print <<HTML;
<div align="center">
<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border="0" cellspacing="0" cellpadding="0">
<tr><td align="center" class="hd"><img border=0 src=$env::LineGif_file_path height=1 width=3>
You have not permission to delete file
<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>
</table>
</td></tr>
</table>
HTML

   main_menu ("edit", "./");
}
print <<HTML;
</BODY>
</HTML>
HTML

} # auth_cookie
