#!/usr/bin/perl -w
use strict;
use CGI qw(:all);

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end

require "auth_chk.pm";

#require "activities.pm";
require "stats_activities.pm";
#require "count_stats.pm";
require "stats_count.pm";
#require "stats_parse.pm";
require "trigger.pm";
require "main_menu.pm";

select STDOUT;
$|=1;
&main;

sub main {
	my $param_day = param("day");
        my $day_req;
	
	if ( !$param_day)
	{
	    $day_req = time();
#	    $day_req = gmtime();
	}
	else
	{
#	    my $sec = Time::Seconds->new($param_day);
#	    my $sec = $param_day;
	    $day_req = $param_day;
#	    $day_req = Time::Object->new();
#	    $day_req -= $day_req->epoch;
#	    $day_req += $sec->seconds;
	}
        
	my ($date,$total,$complete,$b_sum);   			
	my @stat_buf;
	my $item;
	
	my $now_f = formate_date($day_req);
	my $two_m_ago=getdate_2m_ago($day_req);
	my $tm_ago_f =formate_date($two_m_ago);
	
	my $new_cookie = check_auth();
	if($new_cookie)
	{
	      print <<BEGIN;
	      
              <html>
              <head>
              <title>Account activity statistics</title>
              <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
              </head>
              <body>
BEGIN
               main_menu("statistics","../");
print <<HEADER;
                 <h1 class="hd">Account activity statistics</h1>
                    <p>Account home: $env::account<br>
                       From $tm_ago_f  to $now_f </p>
HEADER

#              time_to_reset();
              @stat_buf=collect_account_act($now_f,$tm_ago_f);
              if((!defined($stat_buf[0]))||($stat_buf[0] ne "-1"))
              {
                  print <<BODY;
                  <div align="center"><center>
                  <table border="1" cellpadding="0" cellspacing="0" width="100%">
                  <tr>
                  <td width="25%" class="stateven">date</td>
                  <td width="25%" align="left" class="stateven">total downloads</td>
                  <td width="25%" align="left" class="stateven">complete downloads</td>
                  <td width="25%" align="left" class="stateven">total bytes loaded</td>
                  </tr>
BODY
                  my $counter=0;
		  my $css_class='statodd';
                  foreach $item(@stat_buf)
                  {        
                     ($date,$total,$complete,$b_sum)=split(/\t/,$item);
                     last if($date eq -1); 
		     print Tr(
                                td(
				        {-class=>$css_class},
			                ["$date","$total","$complete","$b_sum"]
		                  )
                             );
                             $counter++;
			     if($counter%2 == 0)
			     {
			         $css_class='statodd';
			     }
			     else
			     {
			         $css_class='stateven';
			     }

                  }

                  print <<END; 
                  </table>
                  </center></div>

                  <p>

END

                   $day_req=getdate_2m_ago($day_req);
#                   my $sec = $day_req->epoch;
#                   my $url_link = "account_activity_statistics.pl?day=".CGI::escape("$sec"); 
                   my $url_link = "account_activity_statistics.pl?day=".CGI::escape("$day_req"); 
                   print a({-class=>'mylink',href=>"$url_link"},"Previous 2 months");
 }
 else
 {
                   print"<p>";
                   print "There is no statistics before $now_f";
 }
 print <<END1; 

    <p>
    <a href="statshow.pl" class="mylink">Back to stats home</a></p>

END1
               main_menu("statistics","../");
               print "</body></html>";
      }
}      
      




