#!/usr/bin/perl -w
use strict;
use CGI qw(:all);

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end

require "auth_chk.pm";

require "stats_total.pm";
#require "stats_parse.pm";
require "trigger.pm";
require "main_menu.pm";

select STDOUT;
$|=1;
&main;

sub main {
        my ($file_name,$total,$complete,$b_sum);   			  			
        my $package_name = param("pack");   			  			
	my ($t,$c,$b_s);
	my $pack_t;   			
	my @stat_buf;
	my $item;
	my $param_day = param("day");
        my $day_req;
	
	if ( !$param_day)
	{
	    $day_req = time();
#	    $day_req = gmtime();
	}
	else
	{
	    $day_req = $param_day;
#	    my $sec = Time::Seconds->new($param_day);
#	    $day_req = Time::Object->new();
#	    $day_req -= $day_req->epoch;
#	    $day_req += $sec->seconds;
	}
	
#	print STDERR "\n day_req ".$day_req."\n\n";
	
	my $now_f = formate_date($day_req);

	my $new_cookie = check_auth();
	if($new_cookie)
	{
	      print <<HEADER1;
              <html>
              <head>
                 <title>Package daily statistics</title>
                 <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
              </head>
              <body>
HEADER1
               main_menu("statistics","../");    
               print <<HEADER;	      
                  <h1 class="hd">Package daily statistics</h1>
                  
<p>Package: $package_name <br>
                  Date: $now_f
HEADER

#               time_to_reset();
               @stat_buf=collect_pack_d_stats($package_name,$now_f);
	       if((!defined($stat_buf[0]))||($stat_buf[0] ne "-1"))
	       {
                  print <<BODY;

                  <div align="center"><center>
                  <table border="1" cellpadding="0" cellspacing="0" width="100%">
                  <tr>
                   <td width="25%" class="stateven">file</td>
                   <td width="25%" align="left" class="stateven">total downloads</td>
                   <td width="25%" align="left" class="stateven">complete downloads</td>
                   <td width="25%" align="left" class="stateven">total bytes loaded</td>
                  </tr>
BODY
                   my $counter=0;
	           my $css_class='statodd';
                  foreach $item(@stat_buf)
	          {        
                     ($file_name,$total,$complete,$b_sum)=split(/\t/,$item);   			
                     print Tr(
                              td(
			           {-class=>$css_class},
			           ["$file_name","$total","$complete","$b_sum"]
		                )
                     );
		    $counter++;
		    if($counter%2 == 0)
	            {
			         $css_class='statodd';
		    }
		    else
		    {
			         $css_class='stateven';
		    }
                  }
#                  print Tr(
#			td  (
#			      {-class=>$css_class},
#			      ["...","... ","... ","... "]
#		           )
#                  );
		  $counter++;
		  if($counter%2 == 0)
	          {
			         $css_class='statodd';
		  }
		  else
		  {
			         $css_class='stateven';
		  }
                  $pack_t=get_total_for($package_name,$now_f);
                  ($t,$c,$b_s)=split(/\t/,$pack_t);   			
                  print Tr(
                            td(
			      {-class=>$css_class},
			      ["Total for package:","$t","$c","$b_s"]
		            )
                  );
                  print <<END; 
                   </table>
                   </center></div><p>

END

                  $day_req=$day_req-24*60*60;
#                  my $sec = $day_req->epoch;
#                  my $url_link = "package_daily_statistics.pl?pack=".CGI::escape("$package_name")."&day=".CGI::escape("$sec");
                  my $url_link = "package_daily_statistics.pl?pack=".CGI::escape("$package_name")."&day=".CGI::escape("$day_req");
		  
                  print a({-class=>'mylink',href=>"$url_link"},"Prevoius date stats");
               }
	       else
	       {
	          print "<p>There is no statistics for the particular package before $now_f<p>";
	       }

                  print <<END1; 

                  <p><a href="statshow.pl" class="mylink">Back to stats home</a></p>
END1
               main_menu("statistics","../");    
               print "</body></html>";
      }
}



