#!/usr/bin/perl -w
use strict;
use CGI qw(:all);

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end

require "auth_chk.pm";
#require "count_stats.pm";
require "stats_count.pm";
#require "stats_parse.pm";
require "trigger.pm";
require "main_menu.pm";

select STDOUT;
$|=1;
&main;

sub main {
        my $parameter = param("par")|| 0;
        my $host        ;
        my $date        ;
        my $package_name;
        my $f_name      ;
        my $status      ;
        my $start       ;
        my $end         ;
        my $attempts    ;
        my $b_size      ;
        my $size        ;
	my @stat_buf    ;
	my $item        ;
	my $counter     ;
	my $css_class   ;
	my $new_cookie = check_auth();
	
	if($new_cookie)
	{
#              time_to_reset();
              @stat_buf=getbuffer($parameter);
	      if(defined($stat_buf[0]))
	      {
			print <<HEAD;
			
                        <html>
                        <head>
                        <title>Raw access log</title>
                        <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
                        </head>
                        <body>
			
HEAD
                        main_menu("statistics","../");  
                        print <<HTML;
                        <h1 class="hd">Raw access log</h1>
                        <div align="center"><center>

                        <table border="1" cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                           <td class="stateven">client host name<br>
                                 or ip address</td>
                           <td class="stateven">timestamp</td>
                           <td class="stateven">package</td>
                           <td class="stateven">file</td>
                           <td class="stateven">completion<br>
                                  status</td>
<!--                           <td align="right" class="stateven">fragment<br>
                                           start</td>
                           <td align="right" class="stateven">fragment<br>
                                            end </td>
                           <td align="right" class="stateven">number of<br>
                                          hidden attempts</td>
-->					  
                           <td align="right" class="stateven">total bytes<br>
                                          loaded</td>
                           <td align="right" class="stateven">total bytes<br>
                                          expected</td>
                           </tr>

HTML

                            $counter=0;
			    $css_class='statodd';
                           foreach $item(@stat_buf)
			   {        
			       ($date,$host,$package_name,$f_name,$status,$start,$end,$attempts,$b_size,$size)=split(/\t/,$item);   			
			       print Tr(
#                                         td(
#					 ["$host","$date","$f_name","$status","$start",
#					 "$end","$attempts","$b_size","$size"])
#                                       );
                                         td(
                                         {-class=>$css_class},
					 ["$host","$date","$package_name","$f_name","$status",
					 "$b_size","$size"])
                                       );
                               $counter++;
			       if($counter%2 == 0)
			       {
			         $css_class='statodd';
			       }
			       else
			       {
			         $css_class='stateven';
			       }
			  }

print <<BODY;  
  <tr>
<!--    <td colspan="9"> -->
<!-- td colspan="6" --> 
<td colspan="7"> 
    <font class="statcom">Last 50 downloads are shown in the table; in
    reversed time order</font></td>
  </tr>
</table>
</center></div>
<p>
BODY

      $parameter=$parameter+50;
      print a({-class=>'mylink',href=>"rawlog.pl?par=$parameter"},"Previous 50 downloads");
    }
    else
    {
    			print <<H;
			
                        <html>
                        <head>
                        <title>Raw access log</title>
                        <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
                        </head>
                        <body>
H
                        main_menu("statistics","../");  

			print <<HEADER;

                        <h1 class="hd">Raw access log</h1>
			<p>
			There is no more statistics for today...
HEADER

    }

print <<END;  

<p>
<p><a href="statshow.pl" class="mylink">Back to stats home</a></p>

END
                        main_menu("statistics","../");  
                        print "</body></html>";
	   }
}

