#!/usr/bin/perl -w
use strict;

use CGI;
use POSIX;

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end


use IO::Dir;

require "auth_chk.pm";
require "trigger.pm";

require "my_subs.pm";
#require "main_menu.pl";
require "main_menu.pm";

my  $auth_cookie=check_auth();
if($auth_cookie)
{

my $query = new CGI;


print <<HTML;

<HTML>
<HEAD>
<title>Deleted files</title>
<LINK REL="stylesheet" TYPE="text/css" HREF="$env::Css_file_path">
</HEAD>
<BODY>

HTML

main_menu ("delete", "./");

#my $d = new IO::Dir $dir;
my $d = new IO::Dir $env::Package_base;

if (defined $d) {

print <<HTML;

<div align="center">
<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border=0 cellspacing=0 cellpadding=0>
<tr><td align=center colspan=2 class=hd><img border=0 src=$env::LineGif_file_path height=1 width=3>
Packages have been deleted:
<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>

HTML

   while (defined($_ = $d->read)) {
      my $l = length ($_);
      if ($l > 4) {
         my $f = substr ($_, $l-4, 4);
         if ($f eq $env::extension) {
            my $name = substr ($_, 0, $l-4);
            my $del = $query->param($name);

            if ($del eq "del") {
               my_subs::del ($name);
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>";
               print $name."</td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         }
      }
   }
   $d->rewind;

print <<HTML;
</table>
</td></tr></table>

HTML

}
else {

print <<HTML;
<div align="center">
<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border="0" cellspacing="0" cellpadding="0">
<tr><td align="center" class="hd"><img border=0 src=$env::LineGif_file_path height=1 width=3>
You have not permission to delete file
<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>
</table>
</td></tr>
</table>
HTML

};

main_menu ("delete", "./");

print <<HTML;
</BODY>
</HTML>

HTML

} # auth_cookie
