#!/usr/bin/perl -w
#use Time::Object;
#use Time::Seconds;

require "env.pl";
require "stats_count.pm";

sub collect_account_d_stats()
{
   my $day = $_[0] || "";
   my $tm  = time();
#   my $tm  = gmtime();
   my $tm_formatted=formate_date($tm);
   my @packages;
   my @t;
   my @c;
   my @s;
   my @res;
   my $item;
   my $element;
   my $i=0;
   my ($DATE,$PACK_NAME,$F_NAME,$TOTAL,$COMPLETE,$SUM);
   
   my @daily;
   
   if ((!$day) || ($day eq $tm_formatted))
   {
         @daily = collect_day_stats();
   }
   else
   {
         @daily = get_day_stats($day);
   }
   if((!defined($daily[0]))||($daily[0] ne "-1"))
   {
     foreach $item(@daily)
     {
       ($DATE,$PACK_NAME,$F_NAME,$TOTAL,$COMPLETE,$SUM)= split(/\t/,$item);
          foreach $element(@packages){
	      last if($element eq $PACK_NAME);
	      $i++;
          }
	  if($i == (scalar(@packages)))
	  {
           
	     $packages[$i] = $PACK_NAME;
	     $t[$i]=$TOTAL;
	     $c[$i]=$COMPLETE;
	     $s[$i]=$SUM;
	  }
	  else
	  {
	     $t[$i]=$t[$i]+$TOTAL;
	     $c[$i]=$c[$i]+$COMPLETE;
	     $s[$i]=$s[$i]+$SUM;
	  }
          $i=0;
       }   
       $i=0;
       while($i<scalar(@packages))
       {
          $res[$i]="$packages[$i]\t$t[$i]\t$c[$i]\t$s[$i]";
          $i++;
       }
     }
     else
     {
        $res[0]=-1;
     }  
   return @res;      
     
}

sub collect_pack_d_stats()
{
   my $p_name=$_[0] || "";
   my $day   =$_[1] || "";
   my $tm  = time();
#   my $tm  = gmtime();
   my $tm_formatted=formate_date($tm);

   my @files;
   my @t;
   my @c;
   my @s;
   my @res;
   my $i=0;
   my $item;
   my $element;
   my ($DATE,$PACK_NAME,$F_NAME,$TOTAL,$COMPLETE,$SUM);
   my @daily;

   if ((!$day)||($day eq $tm_formatted))
   {
          @daily = collect_day_stats();
   }
   else
   {
          @daily = get_day_stats($day);
   }
   if((!defined($daily[0]))||($daily[0] ne "-1"))
   {
      foreach $item(@daily)
      {
        if($item =~ /\t$p_name\t/)
        {
            ($DATE,$PACK_NAME,$F_NAME,$TOTAL,$COMPLETE,$SUM)=split(/\t/,$item);
            foreach $element(@files)
	    {
	       last if($element eq $F_NAME);
	       $i++;
            }
	    if($i == (scalar(@files)))
	    {
	      $files[$i] = $F_NAME;
	      $t[$i]=$TOTAL;
	      $c[$i]=$COMPLETE;
	      $s[$i]=$SUM;
	    }
	    else
	    {
	        $t[$i]=$t[$i]+$TOTAL;
	        $c[$i]=$c[$i]+$COMPLETE;
	        $s[$i]=$s[$i]+$SUM;
	    }
            $i=0;
        }
     }
     $i=0;
     while($i<scalar(@files))
     {
        $res[$i]="$files[$i]\t$t[$i]\t$c[$i]\t$s[$i]";
        $i++;
     }
   }
   else
   {
       $res[0]=-1;
   }     
   return @res;      
   
}

