#!/usr/bin/perl -w

use strict;
#use Time::Object;
#use Time::Seconds;
require "env.pl";
require "stats_count.pm";

use sdep;

sub add_stats
{
        my $host             = $_[0]|| "";
        my $package_name     = $_[1]|| "";
        my $f_name           = $_[2]|| "";
        my $status           = $_[3]|| "";
        my $start            = $_[4]|| "";
        my $end              = $_[5]|| "";
        my $attempts         = $_[6]|| "";
        my $b_size           = $_[7]|| 0;
        my $size             = $_[8]|| 0;
        my $tm               = time();
#        my $tm               = gmtime();
	my $date             = formate_date_full($tm);

                       
	      open(F, "+>> $env::statfile")     or die "can't read $env::statfile : $!";
	      binmode(F);
	      flock(F,2);
	      my $out="";
              $out="$date\t$host\t$package_name\t$f_name\t$status\t$start\t$end\t$attempts\t$b_size\t$size\n";   			

              print F $out              or die "Printing: $!";
              truncate(F,tell(F))       or die "Truncating: $!";
              close(F)                  or die "Closing: $!";
              return "ok";                       
}

sub time_to_reset
{
        my $tm               = time();
#        my $tm               = gmtime();
	my $date             = formate_date($tm);
	
	open(F, "<$env::statfile")     or die "can't read $env::statfile : $!";
	binmode(F);
        flock(F,1);
        my $stat = <F>;
        close(F)                 or die "Closing: $!";
#	if((defined($stat))&&(!($stat =~/^$date\t/)))
	if((defined($stat))&&(!($stat =~/^$date /)))
	{

		write_day_stats();
	        open(F, "+>> $env::statfile")     or die "can't read $env::statfile : $!";
		binmode(F);
                flock(F,2);
		truncate(F,0)       or die "Truncating: $!";
                close(F)                 or die "Closing: $!";
                
		return 1;
        }
	else
	{
	        return 0;
	}

}
