#!/usr/bin/perl -w

use strict;
use CGI qw(:all);

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end

require "auth_chk.pm";
require "trigger.pm";
require "main_menu.pm";
select STDOUT;
$|=1;
&main;

sub main {

	my $auth_cookie;
	my($user,$pas);
	my $n_passwd = param("new_pswd");
	my $new_sure =param("sure");

	if(($n_passwd ne $new_sure) || (!$n_passwd))
	{
		     print "Content-type: text/html; charset=\"koi8-r\"\n\n";
#                     print redirect("$env::Redirect_path");

		     print <<HEADER;
		     <html>
		     <head>
                     <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
                     </head>
		     <body>
HEADER
main_menu("change password","./");
print <<HTML;
		     <p> Your new password was incorrect(null)!
		     <p>
<!--		     <a href=change_pass.pl class="mylink"> BACK FOR CHANGING THE PASSWD... </a>
		     <p>
		     <a href=admin.pl class="mylink"> BACK TO THE MAIN PAGE... </a>
-->
HTML
main_menu("change password","./");
print "</body></html>";

	}
	else
	{
	      $auth_cookie = cookie('user');
	      if(!$auth_cookie)
    	      {
                     print redirect("$env::Redirect_path");
		     print "Content-type: text/html; charset=\"koi8-r\"\n\n";

		     print <<HEADER;
		     <html>
		     <head>
		          <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
		     </head>
		     <body>
		     <a href=admin.pl class="mylink"> YOU MUST AUTHENTICATE YOURSELF... </a>
		     </body></html>

HEADER

	       }
	       else
	       {
	             $user = verify_cookie($auth_cookie);
	             if(!$user)
	             {
                       print redirect("$env::Redirect_path");

		           print "Content-type: text/html; charset=\"koi8-r\"\n\n";
		           print <<HEADER;
		           <html>
		           <head>
		             <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
		           </head>
		           <body>
		            <a href=admin.pl class="mylink"> YOU MUST AUTHENTICATE YOURSELF...</a>
		            </body></html>

HEADER

	             }
	             else
	            {
	                 my $NEW_HASH = rewr_pass($user,$n_passwd);
	                 if(!$NEW_HASH)
		         {
			            print "Content-type: text/html; charset=\"koi8-r\"\n\n";
			            print <<HEADER;
			            <html>
			            <head>
		                       <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
		                    </head>
				    <body>
			            <a href=admin.pl class="mylink"> Internall Error (back) </a>
			            </body></html>

HEADER

	                }
	                else
		        {
    	                    set_cookie($user);
#                             print redirect("$env::Redirect_path");

			     print <<HEADER;
			     <html>
			        <head>
		                  <link rel="stylesheet" type="text/css" href="$env::Css_file_path">
		                </head>
			        <body>
HEADER
main_menu("change password","./");
print <<HTML;
			        <h1 class="hd">Password changed for $user<h1>
<!--			        <a href=admin.pl class="mylink"> BACK TO THE MAIN PAGE... </a>
-->

HTML
main_menu("change password","./");
print "</body></html>";

                         }
	           } # remote_user
            }
	}
}

