#!/usr/bin/perl -w
use strict;

use CGI;
use POSIX;

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end
require "trigger.pm";
require "Package_DB.pm";
require "checks.pm";


    print "Content-Type: text/html\n\n";
### DEBUG
#    print "hello1 <p> ";
#    print "$env::extension_crypt\n";

    # Aviod warnings
    my (@dummy) =
    ($env::extension_crypt, $env::extension_html,
    $env::Package_base, $env::Package_href_base,
    $env::template_html, $env::Path_Delim);

    my $query = new CGI;
    my $packageName = $query->param("package");
    my $packageExist = "true";
    my $path;
    my $referer = $ENV{"HTTP_REFERER"};
    my $access_denied = $env::Template_base.$env::Path_Delim.'access_denied.html';

    if ($packageName)
    {
### DEBUG
#        print "referer=$referer <p>";

        if (!check_referer($packageName, $referer))
        {
            open TEMPLATE, "<$access_denied" or exit 1;
            while ( <TEMPLATE> ) {
                print;
            }
            close TEMPLATE;
            exit ;
        }

        $path  = $env::Package_base.$env::Path_Delim.
	    $packageName.$env::extension_html;

	open TEMPLATE, "<$path" or $packageExist = "";
        # if packege not found, use default package
	if (!$packageExist)
        {
    	    open TEMPLATE, "<$env::template_html" or exit 1;
        }
        my $tmp;
        my $replace = $env::Package_href_base.$packageName.$env::extension_crypt;
        while(<TEMPLATE>)
        {
            $tmp=$_;
            $tmp =~ s/\$package_href/$replace/g;
            print $tmp;
        }
        close TEMPLATE;
    }


##########################################################################
# Check the referer. Params: Package name and Referer.
##########################################################################
sub check_referer {;
    my $package = $_[0];
    my $referer = $_[1];
    my @ref = Package_DB::get_referer_list($package);

    if (!$referer or ($#ref == -1) ) {
        return "ok";
    }

    my $link;
    foreach $link (@ref) {
	if (is_link_much_referer($link, $referer)) {
	    return "ok";
	}
    }

    return "";
}
