#!/usr/bin/perl -w
use strict;

use CGI;
use POSIX;

my $query = new CGI;
my $fileName = $query->param("fileName");

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end

use IO::Dir;

require "auth_chk.pm";
require "trigger.pm";

#require "my_subs.pm";
require "main_menu.pm";

my  $auth_cookie=check_auth();
if($auth_cookie)
{

print <<HTML;
<HTML>
<HEAD>
<title>Add new package</title>
<LINK REL="stylesheet" TYPE="text/css" HREF="$env::Css_file_path">
</HEAD>
<BODY>

HTML
main_menu ("new", "./");

print <<HTML;

<form method="POST" action="submit_new.pl">
<div align=center>
<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border=0 cellspacing=0 cellpadding=0>
<tr><td align=center class=hd>Add new package</td></tr>
<tr><td class=odd><img border=0 src=$env::LineGif_file_path height=1 width=3>
file name: <input type=text name='fileName' size=40 value='$fileName'> </td></tr>
<tr><td align=center class=hd><input type="submit" value="Continue" name="submit"></td></tr>
</table>
</td></tr></table></div>
</form>
HTML

main_menu ("new", "./");

print <<HTML;
</BODY>
</HTML>
HTML


} # auth_cookie
