#!/usr/bin/perl -w
use strict;
use CGI qw(:all);

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
};
require "env.pl";
};
# find common environment - end

require "stats_parse.pm";
require "trigger.pm";

$|=1;
&main;

sub main 
{
#        my $host             = param("client") || "";
        my $host             = $ENV{'REMOTE_ADDR'};
        my $package_url      = $ENV{"HTTP_X_AL_PACKAGE"} || "";
        my $f_url            = $ENV{"HTTP_REFERER"} ||"";
        my $status           = param("status") ||"";
#        my $start            = param("f_start") ||"";
        my $start            = "00";
#        my $end              = param("f_end") || "";
        my $end              = "00";
#        my $attempts         = param("attempt_num") || "";
        my $attempts         = "00";
        my $b_size           = param("received") || 0;
        my $size             = param("expected") || 0;
	my @url              = split('/',$package_url);
        my $package_name     = $url[scalar(@url)-1];
	my @file_url         = split('/',$f_url);
	my $f_name           =$file_url[scalar(@file_url)-1];
	
	print header();
#	print("HOST NAME is ");
#	print "$host <p>";
#	print "PACKAGE NAME IS $package_name<p>";
#	print "OK";

        #time_to_reset();
	add_stats($host,$package_name,$f_name,$status,$start,$end,$attempts,$b_size,$size);                       
}

#open STDOUT, '> stats.log';
#require 'printenv.pl';

