#!/usr/bin/perl -w
use strict;
use Fcntl ':flock';

use CGI;
use POSIX;
use File::Copy;

# find common environment - begin
BEGIN {
if ($ENV{SERVER_SOFTWARE} =~ /Microsoft-IIS/) {
my ($myPath, @myDir, $last, $catalog);
$myPath = $ENV{"PATH_TRANSLATED"};
if ($myPath ne "") {
   $myPath =~ s/\\/\//g;
   @myDir = split ("/", $myPath);
   $last = pop (@myDir);
   $catalog = join ('/', @myDir);
   $catalog =~ s/\//\\/g;
   push (@INC, $catalog);
};
}; # "
require "env.pl";
};
# find common environment - end
use XML::DOM;
require "auth_chk.pm";
require "trigger.pm";

require "my_subs.pm";
require "main_menu.pm";
require "Package_DB.pm";
# use sdep; -- if flock used

my  $auth_cookie=check_auth();
if($auth_cookie)
{
my $query = new CGI;
my $fileName =$query->param("fileName");
my $path = $env::Package_base.$env::Path_Delim.$fileName.$env::extension;
my $path_bak = $env::Backup_base.$env::Path_Delim.$fileName.$env::extension;

#    open (F, "+< $path") or die "Can't open : $!" ;
#    flock(F, LOCK_EX);

# Make .bak first
File::Copy::copy($path, $path_bak);
if ( $env::System_type eq 'unix') {
      chmod $env::File_mode, $path_bak;
}

my $parser = new XML::DOM::Parser;
my $template = $parser->parsefile ($env::template_xml);
my $doc = $parser->parsefile ($path);
my $new = new FileHandle ($path, "w");
my $write = 1;

if (!$new) {

 $write = 0;
}


print <<HTML;

<HTML>
<HEAD>
<title>Edit results</title>
<LINK REL="stylesheet" TYPE="text/css" HREF="$env::Css_file_path">
</HEAD>
<BODY>

HTML

# "
my $expire = "";
my $last_crypt = "";
my @ref = ();

main_menu ("edit", "./");

if ($write) {

print <<HTML;

<div align="center">
<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border=0 cellspacing=0 cellpadding=0>
<tr><td align=center colspan=2 class="hd"><img border=0 src=$env::LineGif_file_path height=1 width=15>
<a href="submit_edit.pl?del=$fileName">Continue edit $fileName</a> |
<a href="submit_edit.pl?del=$fileName&restore=1">Restore previous $fileName</a>
<img border=0 src=$env::LineGif_file_path height=1 width=15></td></tr>
</table>
</td></tr></table>

<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border=0 cellspacing=0 cellpadding=0>
<tr><td align=center colspan=2 class="hd"><img border=0 src=$env::LineGif_file_path height=1 width=15>
Edit results $fileName
<img border=0 src=$env::LineGif_file_path height=1 width=15></td></tr>

HTML
# /
my $postData;
my $postData1;
my $postData2;
my $postData3;
my $node;
my $lenNode;
my $nodeData;
my $nodeAttr;
my $nodeChield;
my $lenChield;
my $newData;
my $newNode;
my $i;
my $param;
my $templateNode;
my $newParent;
my $parentNodeList;
my $parentNode;
my $empty;
my $pac;
my $counter;

my $NewText;
my $NewEmpty;
my $newText;
my $newEmpty;
my $fileNode;
my $templateParent;
my $parent;
my $len;
my $j;
my $first;
my $lenAttr;

my $child1;
my $child2;
my $child3;

my $prev;
my $find;
my $lenPrev;
my $lenParent;
my $lenStat;

my $prevTitle;
my $prevProtection = -1;
my $prevReferer;
my $prevLifetime;

$node = $doc->getElementsByTagName ("title");
$len = $node->getLength;


$first = 1;
for ($i = 0; $i < $len; $i++)
{

   $postData = $query->param("title".$i);

   if (length($postData) != 0) {

      $prevTitle = $i;
      $nodeChield = $node->item($i)->getChildNodes;
      $lenChield = $nodeChield->getLength;

      for ($j = 0; $j < $lenChield; $j++)
      {
         if ($first) {
            if ($nodeChield->item($j)->getNodeType == TEXT_NODE) {
               $newData = $nodeChield->item($j)->setData($postData);
               $first = 0;
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title: </td><td class=$my_subs::odd><b>" . $postData . "</b></td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         };
      };
      if ($first) {
         $first = 0;
         $newText = new XML::DOM::Text;
         $newText->setData ($postData);
         $newText->setOwnerDocument($doc);
         $nodeData = $node->item($i);
         $nodeData->appendChild ($newText);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title: </td><td class=$my_subs::odd><b>" . $postData . "</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      };
   }
   else {

      $parentNode = $doc->getElementsByTagName ("package");
      if ($parentNode->item(0) == $node->item($i)->getParentNode) {
         $prevTitle = $i;
         if ($first) {
            $first = 0;

            $nodeChield = $node->item($i)->getChildNodes;
            $lenChield = $nodeChield->getLength();
            if ($lenChield != 0) {
               $node->item($i)->removeChild ($nodeChield->item(0));
            };
            print "<tr><td class=$my_subs::odd><img border=0 src= height=1 width=3>Title is undefined </td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
            my_subs::even ($my_subs::odd);
         }
      }
   }
};

if($first) {

   $postData = $query->param("title".$i);
   $prevTitle = $i;

   $newText = new XML::DOM::Text;
   $newText->setOwnerDocument($doc);

   $templateNode = $template->getElementsByTagName ("title")->item(0);
   $newNode=$templateNode->cloneNode("true");
   $parentNode = $doc->getElementsByTagName ("package")->item(0);
   $newNode->setOwnerDocument ($doc);
   $child1 = $parentNode->getFirstChild;
   $child2 = $child1->getNextSibling;

   $parentNode->insertBefore($newNode, $child2);

   $child3 = $newNode->getNextSibling;

   if (length ($postData) != 0) {
      $newText->setData ($postData);

      print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title: </td><td class=$my_subs::odd><b>" . $postData . "</b></td></tr>\n"
   }
   else {
      print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title is undefined </td><td class=$my_subs::odd>&nbsp;</td></tr>\n"
   };
   my_subs::even ($my_subs::odd);

   $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
   $newEmpty = $empty->cloneNode("true");
   $newEmpty->setOwnerDocument ($doc);
   $parentNode->insertBefore($newEmpty, $child3);
};

print "<tr><td class='line' colspan=2 height=1><img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";

$node = $doc->getElementsByTagName ("referer");
$len = $node->getLength;

$first = 1;
$prevReferer = -1;

for ($i = 0; $i < $len; $i++)
{
   $param = "referer_href_del" . $i;
   $postData = $query->param($param);
   my $param2 = "referer_href" . $i;
   my $postData2 = $query->param($param2);

   if ((defined($postData))&&($postData eq "del")
        || length($postData2) == 0 ) { ## //GX 020323

      $first = 0;
      $nodeData = $node->item($i)->getAttributes()->getNamedItem ("href");

      if ($nodeData != "") {
         $nodeData = $nodeData->getValue;
         $parentNode = $doc->getElementsByTagName ("protection");

         $nodeChield = $node->item($i);
         $parent = $nodeChield->getParentNode();

         for ($j = 0; $j < $parentNode->getLength; $j++)
         {
            if ($parentNode->item($j) == $nodeChield->getParentNode()) {
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer is undefined:</td><td class=$my_subs::odd><b>".$nodeData . "</b>&nbsp;</td></tr>\n";
               my_subs::even ($my_subs::odd);
               $empty = $nodeChield->getNextSibling;
               $parentNode->item($j)->removeChild ($nodeChield);

               if ($empty->getData == "") {
                  $parentNode->item(0)->removeChild ($empty);
               }
            }
         }
      }
      else {
         $parent = $node->item($i)->getParentNode;
         $parent->removeChild($node->item($i));
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer is undefined: ".$nodeData . "</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
         my_subs::even ($my_subs::odd);
      };
   }
   else {

      $param = "referer_href" . $i;
      $postData = $query->param($param);

      $nodeChield = $node->item($i);

      if (length ($postData) != 0) {

         my_subs::is_href ($postData);
         $prevReferer = $i;
         if (!$my_subs::error) {
            $nodeChield->setAttribute("href", $postData);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
            push (@ref, $postData);
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer: </td><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3><b>Error: ".$postData."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         $first = 0;
         my_subs::even ($my_subs::odd);

         $parent = $nodeChield->getParentNode;
         $parentNode = $doc->getElementsByTagName ("protection");

         for ($j = 0; $j < $parentNode->getLength; $j++)
         {
            if ($parent == $parentNode->item($j)) {
               $prevProtection = $j;
            }
         };

      }
      else {
## This code is buggy anyway. Now: never reach here. //GX 030223
         $pac = $doc->getElementsByTagName ("package")->item(0);
         $parentNode = $doc->getElementsByTagName ("protection");

         for ($j = 0; $j < $parentNode->getLength; $j++)
         {
            if ($pac == $parentNode->item($j)->getParentNode) {
               $prevProtection = $j;
            }
         };

         if ($nodeChield->getParentNode == $parentNode->item(0)) {
            $prevReferer = $i;
            $first = 0;
######## Buggy if is none href
#            $nodeChield->removeAttribute("href");
            $empty = $nodeChield->getNextSibling;
            $parentNode->item(0)->removeChild ($nodeChield);

            if ($empty->getData == "") {
               $parentNode->item(0)->removeChild ($empty);
            }
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
            my_subs::even ($my_subs::odd);
         }
      }
   }
};

if ($first) {
   $postData = $query->param("referer_href0");

   if (length ($postData) != 0) {
      my_subs::is_href ($postData);
      $prevReferer = 0;

      if (!$my_subs::error) {
         $pac = $doc->getElementsByTagName ("package")->item(0);
         $parentNodeList = $doc->getElementsByTagName ("protection");
         $len = $parentNodeList->getLength;

         if ($len != 0) {
            $templateNode = $template->getElementsByTagName ("referer")->item(0);
            $newNode=$templateNode->cloneNode("true");
            $newNode->setOwnerDocument ($doc);

            for ($i = 0; $i < $len; $i++) {
               $parent = $parentNodeList->item($i);

               if ($parent->getParentNode == $pac) {
                  $parentNode = $parent;
                  $prevProtection = $i;
               };
            };
            $child1 = $parentNode->getFirstChild;
            $child2 = $child1->getNextSibling;

            $parentNode->insertBefore($newNode, $child2);
            $newNode->setAttribute("href", $postData);
            $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
            $newEmpty = $empty->cloneNode("true");
            $newEmpty->setOwnerDocument ($doc);

            $parentNode->insertBefore($newEmpty, $child2);
         }
         else {
            $parentNodeList = $doc->getElementsByTagName ("package");
            $parentNode = $parentNodeList->item(0);
            $templateNode = $template->getElementsByTagName ("protection")->item(0);
            $newNode=$templateNode->cloneNode("true");
            $newNode->setOwnerDocument ($doc);

            $child1 = $doc->getElementsByTagName ("title")->item($prevTitle);
            $child2 = $child1->getNextSibling;

            $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
            $newEmpty = $empty->cloneNode("true");
            $newEmpty->setOwnerDocument ($doc);
            $parentNode->insertBefore ($newEmpty,$child2);
            $parentNode->insertBefore ($newNode, $child2);

            $node = $doc->getElementsByTagName ("referer")->item(0);
            $node->setAttribute("href", $postData);
         }
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         push (@ref, $postData);
      }
      else {
         print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Referer: </td><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3><b>Error: ".$postData."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
      };
      my_subs::even ($my_subs::odd);
   };
};

$postData = $query->param("new_referer_href");


if (length ($postData) != 0) {

   my_subs::is_href ($postData);

   if (!$my_subs::error) {
      $pac = $doc->getElementsByTagName ("package")->item(0);
      $parentNodeList = $doc->getElementsByTagName ("protection");
      $len = $parentNodeList->getLength;

      if ($len != 0) {
         $templateNode = $template->getElementsByTagName ("referer")->item(0);
         $newNode=$templateNode->cloneNode("true");
         $newNode->setOwnerDocument ($doc);

         for ($i = 0; $i < $len; $i++) {
            $parent = $parentNodeList->item($i);

            if ($parent->getParentNode == $pac) {
               $parentNode = $parent;
               $prevProtection = $i;
            };
         };
#         $parentNode = $parentNodeList->item(0);

         if ($prevReferer != -1) {
            $child1 = $doc->getElementsByTagName ("referer")->item($prevReferer);
            $child2 = $child1->getNextSibling;

            $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
            $newEmpty = $empty->cloneNode("true");
            $newEmpty->setOwnerDocument ($doc);
            $parentNode->insertBefore ($newEmpty,$child2);
            $parentNode->insertBefore ($newNode, $child2);
            $newNode->setAttribute ("href", $postData);
         }
         else {
            $child1 = $parentNode->getFirstChild;
            $child2 = $child1->getNextSibling;

            $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
            $newEmpty = $empty->cloneNode("true");
            $newEmpty->setOwnerDocument ($doc);
            $parentNode->insertBefore($newNode, $child2);
            $parentNode->insertBefore($newEmpty,$child2);
            $newNode->setAttribute("href", $postData);
         };
      }
      else {
         $parentNode = $doc->getElementsByTagName ("package")->item(0);

         $templateParent = $template->getElementsByTagName ("protection")->item(0);

         $newParent=$templateParent->cloneNode("true");
         $newParent->setOwnerDocument ($doc);

         $child1 = $doc->getElementsByTagName ("title")->item($prevTitle);
         $child2 = $child1->getNextSibling;

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);
         $parentNode->insertBefore ($newEmpty,$child2);
         $parentNode->insertBefore ($newNode, $child2);

         $newNode = $doc->getElementsByTagName ("referer")->item($len);
         $newNode->setAttribute("href", $postData);
         $prevProtection = 0;

      };
      $prevReferer++;
      print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Has been added new referer with href: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
      push (@ref, $postData);
   }
   else {
      print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3></td><td class=error><b>Error: " . $postData. " </b>- must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
   };
   my_subs::even ($my_subs::odd);
};

print "<tr><td class='line' colspan=2 height=1><img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";


$node = $doc->getElementsByTagName ("lifetime");
$len = $node->getLength;
$first = 1;
$prevLifetime = -1;

for ($i = 0; $i < $len; $i++)
{
   $param = "lifetime_period" . $i;
   $postData = $query->param($param);
   $nodeChield = $node->item($i);

   if (length($postData) != 0) {
      $prevLifetime = $i;
      my_subs::is_period ($postData);
      $first = 0;

      if (!$my_subs::error) {
         $nodeChield->setAttribute("period", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
      }
      else {
         print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime: </td><td class=error><b><img border=0 src=$env::LineGif_file_path height=1 width=3>Error: ". $postData."</b> - period must be digital and ended m, h or d<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
      };
      my_subs::even ($my_subs::odd);
   }
   else {

      $parentNode = $doc->getElementsByTagName ("protection");

      if ($nodeChield->getParentNode == $parentNode->item(0)) {

         if ($first) {
            $first = 0;
            $empty = $nodeChield->getNextSibling;
            $parentNode->item(0)->removeChild ($nodeChield);

            if ($empty->getData == "") {
               $parentNode->item(0)->removeChild ($empty);
            }

#            $nodeChield->removeAttribute("period");
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
            my_subs::even ($my_subs::odd);
         }
      }
   }
};

if ($first) {
   $parentNodeList = $doc->getElementsByTagName ("protection");

   $param = "lifetime_period" . $i;
   $postData = $query->param($param);

   if (length($postData) != 0) {
      my_subs::is_period ($postData);

      if ($parentNodeList->getLength() != 0) {
         $templateNode = $template->getElementsByTagName ("lifetime")->item(0);
         $newNode=$templateNode->cloneNode("true");
         $parentNode = $parentNodeList->item(0);
         $newNode->setOwnerDocument ($doc);
         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);

         if ($prevReferer != -1) {
            $child1 = $doc->getElementsByTagName ("referer")->item($prevReferer);
            $child2 = $child1->getNextSibling;
            $parentNode->insertBefore($newEmpty, $child2);
            $parentNode->insertBefore($newNode, $child2);
         }
         else {
            $parentNode = $doc->getElementsByTagName ("protection")->item($prevProtection);
            $child1 = $parentNode->getFirstChild;
            $child2 = $child1->getNextSibling;
            $parentNode->insertBefore($newNode, $child2);
            $parentNode->insertBefore($newEmpty, $child2);
         };

         if (!$my_subs::error) {
            $newNode->setAttribute("period", $postData);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime: </td><td class=error><b><img border=0 src=$env::LineGif_file_path height=1 width=3>Error: ".$postData." - period must be digital and ended m, h or d<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         my_subs::even ($my_subs::odd);

      }
      else {
         $templateNode = $template->getElementsByTagName ("protection")->item(0);
         $newNode = $templateNode->cloneNode("true");
         $parentNode = $doc->getElementsByTagName ("package")->item(0);

         $newNode->setOwnerDocument ($doc);

         $child1 = $doc->getElementsByTagName ("title")->item($prevTitle);
         $child2 = $child1->getNextSibling;

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);
         $parentNode->insertBefore ($newEmpty,$child2);
         $parentNode->insertBefore ($newNode, $child2);

         $node = $doc->getElementsByTagName ("lifetime");
         $nodeChield = $node->item($len);

         if (!$my_subs::error) {
            $nodeChield->setAttribute("period", $postData);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Lifetime: </td><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3><b>Error: ".$postData."</b> - period must be digital and ended m, h or d<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         my_subs::even ($my_subs::odd);

      }
   }
};

print "<tr><td class='line' colspan=2 height=1><img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";

$node = $doc->getElementsByTagName ("rescramble");
$len = $node->getLength;
$first = 1;

for ($i = 0; $i < $len; $i++)
{
   $postData = $query->param("rescramble_period".$i);
   $nodeChield = $node->item($i);

   if (length($postData) != 0) {
      my_subs::is_period ($postData);
      $first = 0;

      if (!$my_subs::error) {
         $nodeChield->setAttribute("period", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rescramble period: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         $expire = $postData;
      }
      else {
         print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Rescramble period: </td><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3><b>Error: ".$postData."</b> - period must be digital and ended m, h or d<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
      };
      my_subs::even ($my_subs::odd);
   }
   else {
      $parentNode = $doc->getElementsByTagName ("protection");

      if ($nodeChield->getParentNode == $parentNode->item(0)) {
         if ($first) {
            $first = 0;
            $empty = $nodeChield->getNextSibling;

            if ($empty->getData == "") {
               $parentNode->item(0)->removeChild ($empty);
            };
            $parentNode->item(0)->removeChild ($nodeChield);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rescramble period is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
            my_subs::even ($my_subs::odd);
         }
      }
   }
};

if ($first) {
   $postData = $query->param("rescramble_period".$i);

   if (length($postData) != 0) {
      my_subs::is_period ($postData);
      $parentNode = $doc->getElementsByTagName ("protection");
      $lenParent = $parentNode->getLength;

      if ($lenParent != 0) {
         $templateNode = $template->getElementsByTagName ("rescramble")->item(0);

         $newNode=$templateNode->cloneNode("true");
         $newNode->setOwnerDocument ($doc);

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);
         $parentNode->item($prevProtection)->appendChild($newEmpty);

         if ($prevLifetime != -1) {
            $child1 = $doc->getElementsByTagName ("lifetime")->item($prevLifetime);
            $child2 = $child1->getNextSibling;

            $parentNode->item($prevProtection)->insertBefore ($newEmpty, $child2);
            $parentNode->item($prevProtection)->insertBefore ($newNode, $child2);
         }
         else {
            if ($prevReferer != -1) {
               $child1 = $doc->getElementsByTagName ("referer")->item($prevReferer);
               $child2 = $child1->getNextSibling;

               $parentNode->item($prevProtection)->insertBefore ($newEmpty, $child2);
               $parentNode->item($prevProtection)->insertBefore ($newNode, $child2);
            }
            else {
               $parentNode = $doc->getElementsByTagName ("protection")->item($prevProtection);
               $child1 = $parentNode->getFirstChild;
               $child2 = $child1->getNextSibling;
               $parentNode->insertBefore($newNode, $child2);
               $parentNode->insertBefore($newEmpty, $child2);
            };
         };

#      $parentNode->appendChild($newNode);

         if (!$my_subs::error) {
            $newNode->setAttribute("period", $postData);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rescramble period: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
            $expire = $postData;
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Rescramble period: </td><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3><b>Error: ".$postData."</b> - period must be digital and ended m, h or d<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         my_subs::even ($my_subs::odd);
      }
      else {
      if (!$my_subs::error) {
         $templateNode = $template->getElementsByTagName ("protection")->item(0);

         $newNode=$templateNode->cloneNode("true");
         $newNode->setOwnerDocument ($doc);
         $parentNode = $doc->getElementsByTagName ("package")->item(0);

         $child1 = $doc->getElementsByTagName ("title")->item($prevTitle);
         $child2 = $child1->getNextSibling;

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);
         $parentNode->insertBefore ($newEmpty,$child2);
         $parentNode->insertBefore ($newNode, $child2);

         $node = $doc->getElementsByTagName ("rescramble")->item(0);
         $node->setAttribute("period", $postData);

         $parentNode = $doc->getElementsByTagName ("protection")->item(0);
         $node = $doc->getElementsByTagName ("referer")->item(0);
         $empty = $node->getNextSibling;
         $parentNode->removeChild ($node);
         $parentNode->removeChild ($empty);

         $node = $doc->getElementsByTagName ("lifetime")->item(0);
         $empty = $node->getNextSibling;
         $parentNode->removeChild ($node);
         $parentNode->removeChild ($empty);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rescramble period: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         $expire = $postData;
      }
      }
   }
};

print "<tr><td class='line' colspan=2 height=1><img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";

$node = $doc->getElementsByTagName ("report");
$len = $node->getLength();
$first = 1;

for ($i = 0; $i < $len; $i++)
{

   $postData = $query->param("report_href".$i);
   $nodeChield = $node->item($i);

   if (length($postData) != 0) {
      $first = 0;
      my_subs::is_href ($postData);
      if (!$my_subs::error) {
         $nodeChield->setAttribute("href", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Report dowmload to: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
      }
      else {
         print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Report </td><td class=error><b>".$postData."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
      };
      my_subs::even ($my_subs::odd);
   }
   else {

      $pac = $doc->getElementsByTagName ("package");
      $parentNode = $doc->getElementsByTagName ("stat");
      $lenStat = $parentNode->getLength;

      for ($j = 0; $j < $lenStat; $j++)
      {

         if ($nodeChield->getParentNode == $parentNode->item($j) && ($parentNode->item($j)->getParentNode == $pac->item(0))) {
            if ($first) {
               $first = 0;

               $empty = $parentNode->item($j)->getNextSibling;
               $pac->item(0)->removeChild ($parentNode->item($j));

               if ($empty->getData == "") {
                  $empty->getParentNode->removeChild ($empty);
               } ;

#            $nodeChield->setAttribute("href", "");
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Report download to is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         }
      }
   }
};

if ($first) {
   $postData = $query->param("report_href".$i);

   if (length($postData) != 0) {
      $templateNode = $template->getElementsByTagName ("report")->item(0);

      $newNode=$templateNode->cloneNode("true");
      $parentNodeList = $doc->getElementsByTagName ("stat");

      if ($parentNodeList->getLength != 0) {
         $parentNode = $parentNodeList->item(0);
         $newNode->setOwnerDocument ($doc);

         $parentNode->appendChild($newNode);
         $newNode->setAttribute("href", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Report download to: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);
         $parentNode->appendChild($newEmpty);

      }
      else {
         $parentNode = $doc->getElementsByTagName ("package")->item(0);

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);

         $templateParent = $template->getElementsByTagName ("stat")->item(0);
         $newParent=$templateParent->cloneNode("true");
         $newParent->setOwnerDocument ($doc);

         $child1 = $doc->getElementsByTagName ("protection");
         $lenPrev = $child1->getLength;

         if ($lenPrev != 0) {
            $child2 = $child1->item(0)->getNextSibling;
            $parentNode->insertBefore($newEmpty, $child2);
            $parentNode->insertBefore($newParent, $child2);
         }
         else {
            $child1 = $doc->getElementsByTagName ("title");
            $child2 = $child1->item(0)->getNextSibling;
            $parentNode->insertBefore($newEmpty, $child2);
            $parentNode->insertBefore($newParent, $child2);
         };

######

         $find = 0;
         $prev = $doc->getElementsByTagName ("protection");
         $lenPrev = $prev->getLength;

         for ($i = 0; $i < $lenPrev; $i++)
         {
            $parentNode = $prev->item($i)->getParentNode;

            if ($parentNode == $pac) {
               $find = 1;
               $child1 = $prev->item($i)->getNextSibling;
               $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
               $newEmpty = $empty->cloneNode("true");
               $newEmpty->setOwnerDocument ($doc);
               $pac->insertBefore($newEmpty, $child1);

               $pac->insertBefore ($newParent, $child1);
               $parentNode->insertBefore ($newParent, $child1);
            }
         };

         if (!$find) {
            $prev = $doc->getElementsByTagName ("adsource");
            $lenPrev = $prev->getLength;

            for ($i = 0; $i < $lenPrev; $i++)
            {
               $parentNode = $prev->item($i)->getParentNode;

               if ($parentNode == $pac) {
                  $find = 1;
                  $child1 = $prev->item($i)->getNextSibling;
                  $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
                  $newEmpty = $empty->cloneNode("true");
                  $newEmpty->setOwnerDocument ($doc);
                  $pac->insertBefore($newEmpty, $child1);

                  $pac->insertBefore ($newParent, $child1);
                  $parentNode->insertBefore ($newParent, $child1);
               }
            }
         };

######

         $newNode = $doc->getElementsByTagName ("report")->item(0);
         $newNode->setAttribute("href", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Report download to: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);

      }
   }
};

print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Download template: </td><td class=$my_subs::odd><b>";
my $template_path = $env::Package_base.$env::Path_Delim.$fileName.$env::extension_html;
if ( defined ($query->param('template_file_del')) &&
     $query->param('template_file_del') eq 'del' )
{
    if ( 1 ) {
   if ( -f $template_path ) { unlink $template_path; }
    }
   print 'Default';
} elsif ( defined ($query->param('template_file')) &&
    $query->param('template_file') ne '' )
{
    if ( 1 ) {
    File::Copy::copy($query->param('template_file'), $template_path);
    if ( $env::System_type eq 'unix') {
         chmod $env::File_mode, $template_path;
    }
    }
    print 'Uploaded';
    #print ' ',$query->param('template_file');
} else {
    if ( -f $template_path ) { print 'Unchanged'; }
    else { print 'Default'; }
}
print "</b></td></tr>\n";
my_subs::even ($my_subs::odd);

print "<tr><td class='line' colspan=2 height=1><img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";

$node = $doc->getElementsByTagName ("base");
$len = $node->getLength();
$first = 1;

for ($i = 0; $i < $len; $i++)
{
   $postData = $query->param("base_href".$i);
   $nodeChield = $node->item($i);

   if (length($postData) != 0) {
      my_subs::is_href ($postData);
      $first = 0;

      if (!$my_subs::error) {
         $nodeChield->setAttribute("href", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Download source base: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
      }
      else {
         print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Download source </td><td class=error><b>".$postData."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
      };
      my_subs::even ($my_subs::odd);
   }
   else {
      $parentNode = $doc->getElementsByTagName ("content");

      if ($parentNode->getLength != 0) {
         if ($nodeChield->getParentNode == $parentNode->item(0)) {
            if ($first) {
               $first = 0;
               $empty = $nodeChield->getNextSibling;

               $nodeChield->getParentNode->removeChild ($nodeChield);

               if ($empty->getData == "") {
                  $empty->getParentNode->removeChild ($empty);
               } ;
##               $nodeChield->setAttribute("href", "");
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Download source base is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         }
      }
   }
};

if ($first) {
   $postData = $query->param("base_href".$i);

   $parent = $doc->getElementsByTagName ("content");

   if ($parent->getLength != 0) {

      if (length ($postData) != 0) {
         $templateNode = $template->getElementsByTagName ("base")->item(0);

         $newNode=$templateNode->cloneNode("true");

         $parentNode = $parent->item(0);
         $newNode->setOwnerDocument ($doc);

         $child1 = $parentNode->getFirstChild;
         $child2 = $child1->getNextSibling;

         $parentNode->insertBefore($newNode, $child2);

         $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
         $newEmpty = $empty->cloneNode("true");
         $newEmpty->setOwnerDocument ($doc);
         $parentNode->insertBefore ($newEmpty, $child2);

#      $parentNode->appendChild($newNode);

         $newNode->setAttribute("href", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Download source base: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      }
   }
   else {
      $templateParent = $template->getElementsByTagName ("content")->item(0);

      $newParent = $templateParent->cloneNode("true");
      $pac = $doc->getElementsByTagName ("package")->item(0);
      $newParent->setOwnerDocument ($doc);
      $pac->appendChild($newParent);

      $newNode = $doc->getElementsByTagName ("base")->item(0);

      if (length ($postData != 0)) {
         $newNode->setAttribute("href", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Download source base: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
      }
      else {
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Download source base id undefined </td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
      }
      my_subs::even ($my_subs::odd);

      $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
      $newEmpty = $empty->cloneNode("true");
      $newEmpty->setOwnerDocument ($doc);
      $pac->appendChild($newEmpty);
   }
};

$node = $doc->getElementsByTagName ("file");
$len = $node->getLength();

$first = 1;

for ($i = 0; $i < $len; $i++)
{
   $param = "file_del" . $i;
   $postData = $query->param($param);

   if ((defined($postData))&&($postData eq "del")) {
      $first = 0;
      $parentNode = $node->item($i)->getParentNode;
      $lenAttr = $node->item($i)->getAttributes()->getLength;

      if ($lenAttr > 0) {
         $nodeAttr = $node->item($i)->getAttributes()->getNamedItem ("title");

         if ($nodeAttr ne "") {
            $nodeData = $nodeAttr->getValue;

            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Has been deleted file with title: </td><td class=$my_subs::odd><b>".$nodeData . "&nbsp;</b></td></tr>\n";
            my_subs::even ($my_subs::odd);

            $empty = $node->item($i)->getNextSibling;
            $parentNode->removeChild ($node->item($i));

            if ($empty->getData == "") {
               $parentNode->removeChild ($empty);
            }
         }
         else {
            print "<tr><td class=$my_subs::odd colspan=2><img border=0 src=$env::LineGif_file_path height=1 width=3>Has been deleted file without title </td></tr>\n";
            my_subs::even ($my_subs::odd);
            $parentNode->removeChild ($node->item($i));
         }
      }
      else {
         print "<tr><td class=$my_subs::odd colspan=2><img border=0 src=$env::LineGif_file_path height=1 width=3>Has been deleted file without title </td></tr>\n";
         my_subs::even ($my_subs::odd);
         $parentNode->removeChild ($node->item($i));
      }
   }
   else {
      $nodeChield = $node->item($i);
      $param = "file_title".$i;
      $postData = $query->param($param);

      if (length ($postData) != 0) {
         print "<tr><td class='line' colspan=2 height=1><img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         print "<tr><td class='subhd2' colspan=3 align='center'>File</td></tr>\n";
         $first = 0;
         $nodeChield->setAttribute("title", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      }
      else {
         $parentNode = $doc->getElementsByTagName ("content");

         if ($nodeChield->getParentNode == $parentNode->item(0)) {
            if ($first) {
               $first = 0;
               $nodeChield->setAttribute("title", "");
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>File title is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         }
      };

      $param = "file_href".$i;
      $postData = $query->param($param);

      if (length ($postData) != 0) {
         my_subs::is_href ($postData);

         if (!$my_subs::error) {
            $nodeChield->setAttribute("href", $postData);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Href: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Error: </td><td class=error><b>".$postData."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         my_subs::even ($my_subs::odd);
      }
      else {
         $parentNode = $doc->getElementsByTagName ("content");

         if ($nodeChield->getParentNode == $parentNode->item(0)) {
            if ($first) {
               $first = 0;
               $nodeChield->setAttribute("href", "");
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>File href is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         }
      };

      $param = "file_rename".$i;
      $postData = $query->param($param);

      if (length ($postData) != 0) {
         $nodeChield->setAttribute("rename", $postData);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rename: </td><td class=$my_subs::odd><b>".$postData."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      }
      else {
         $parentNode = $doc->getElementsByTagName ("content");

         if ($nodeChield->getParentNode == $parentNode->item(0)) {
            if ($first) {
               $first = 0;
#               $nodeChield->setAttribute("rename", "");
               print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>File rename is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
               my_subs::even ($my_subs::odd);
            }
         }
      }
   }
};

# new files - now several (currently 5)

for ( $i = 0; $i < 5; $i++ ) {

$postData1 = $query->param("new_file_title$i");
$postData2 = $query->param("new_file_href$i");
$postData3 = $query->param("new_file_rename$i");

if (length ($postData1) != 0 || length ($postData2) != 0 || length ($postData3) != 0) {

   $templateNode = $template->getElementsByTagName ("file")->item(0);

   $newNode=$templateNode->cloneNode("true");
   $parentNodeList = $doc->getElementsByTagName ("content");

   if ($parentNodeList->getLength != 0) {
      $newNode->setOwnerDocument ($doc);

      $parentNode = $parentNodeList->item(0);
      $parentNode->appendChild ($newNode);
      print "<tr><td class=$my_subs::odd colspan=2><img border=0 src=$env::LineGif_file_path height=1 width=3>Has been added new file with </td></tr>";
      my_subs::even ($my_subs::odd);

      $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
      $newEmpty = $empty->cloneNode("true");
      $newEmpty->setOwnerDocument ($doc);
      $parentNode->appendChild($newEmpty);

      if (length ($postData1) != 0) {
         $newNode->setAttribute("title", $postData1);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title: </td><td class=$my_subs::odd><b>".$postData1."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      }
      else {
         $newNode->setAttribute("title", "");
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>File title is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
         my_subs::even ($my_subs::odd);
      };

      if (length ($postData2) != 0) {
         my_subs::is_href ($postData);

         if (!$my_subs::error) {
            $newNode->setAttribute("href", $postData2);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Href: </td><td class=$my_subs::odd><b>".$postData2."</b></td></tr>\n";
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Error: </td><td class=error><b>".$postData2."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         my_subs::even ($my_subs::odd);
      }
      else {
         $newNode->setAttribute("href", "");
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>File href is undefined</td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
         my_subs::even ($my_subs::odd);
      };

      if (length ($postData3) != 0) {
         $newNode->setAttribute("rename", $postData3);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rename: </td><td class=$my_subs::odd><b>".$postData3."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      };
   }
   else {
      $templateNode = $template->getElementsByTagName ("content")->item(0);

      $newNode=$templateNode->cloneNode("true");
      $newNode->setOwnerDocument ($doc);
      $parentNode = $doc->getElementsByTagName ("package")->item(0);
      $parentNode->appendChild ($newNode);

      $fileNode = $doc->getElementsByTagName ("file")->item($i);
      print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Has been added new file with </td><td class=$my_subs::odd>&nbsp;</td></tr>\n";
      my_subs::even ($my_subs::odd);

      if (length ($postData1) != 0) {
         $fileNode->setAttribute("title", $postData1);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Title: </td><td class=$my_subs::odd><b>".$postData1."</b></td></tr>\n";
      };

      if (length ($postData2) != 0) {
         my_subs::is_href ($postData);

         if (!$my_subs::error) {
            $fileNode->setAttribute("href", $postData2);
            print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Href: </td><td class=$my_subs::odd><b>".$postData2."</b></td></tr>\n";
         }
         else {
            print "<tr><td class=error><img border=0 src=$env::LineGif_file_path height=1 width=3>Error: </td><td class=error><b>".$postData2."</b> - must be URL<img border=0 src=$env::LineGif_file_path height=1 width=3></td></tr>\n";
         };
         my_subs::even ($my_subs::odd);
      };

      if (length ($postData3) != 0) {
         $fileNode->setAttribute("rename", $postData3);
         print "<tr><td class=$my_subs::odd><img border=0 src=$env::LineGif_file_path height=1 width=3>Rename: </td><td class=$my_subs::odd><b>".$postData3."</b></td></tr>\n";
         my_subs::even ($my_subs::odd);
      };

      $empty = $template->getElementsByTagName ("package")->item(0)->getChildNodes()->item(0);
      $newEmpty = $empty->cloneNode("true");
      $newEmpty->setOwnerDocument ($doc);
      $parentNode->appendChild($newEmpty);
   }
};
}; # end several new files


$doc->print ($new);


print <<HTML;
</table>
</td></tr></table>
HTML

}
else {

print <<HTML;
<div align="center">
<table border=0 cellspacing=4 cellpadding=1><tr><td class='border'>
<table border=0 cellspacing=0 cellpadding=0>
<tr><td align=center colspan=2 class="hd"><img border=0 src=$env::LineGif_file_path height=1 width=15>
You have't permission to write for this file
<img border=0 src=$env::LineGif_file_path height=1 width=15></td></tr>
</table>
</td></tr></table>
HTML

};
main_menu ("edit", "./");

print <<HTML;
</BODY>
</HTML>
HTML


$doc->dispose;
$template->dispose;


Package_DB::package_change($fileName, $expire, @ref);


#close (F) or die "Can't close : $!";

} # auth_cookie
